(list
 (
  cons 'eSFrameObserverSwarm
       (
	make-instance 'ESFrameObserverSwarm
		      #:stratumNumber          3
		      #:displayFrequency       1
		      #:verboseChoice         #f
                      #:zoomFactor             2
 		      #:timeToFinish           1000
		      )
       )

 (
  cons 'eSFrameModelSwarm0
       (
	make-instance 'ESFrameModelSwarm
		      #:potentialUnitTypes     3
		      #:unitGenerationInitialP 1
		      #:potentialUnitNumberPerType     40
                      #:newUnitGenerationP 0.8
		      #:maxStepNumber       10
		      #:maxStepLength       4
		      #:maxTicksAsUnsent    0
		      #:unitSpaceXSize      200
		      #:unitSpaceYSize      200
		      #:minStartingVisibility  0
		      #:maxStartingVisibility  200
		      #:interVisibilityMinLevel 1
                      #:increasingVisibilityStep 5
                      #:maxInactivity 10
                      #:maxUnsentProducts 10
		      #:totalMemoryMatrixNumber 1
		      #:createNumberOfUnitsGraph #t
		      #:createProductionGraph #t
		      #:createRatioGraph #t
		      #:useOrderDistiller #f
		      #:shuffleListsAtEachAssignment #t
		      #:uniqueAssignmentInEachCycle #f
		      #:stopIfZeroUnits #f
		      )
       )


(
  cons 'eSFrameModelSwarm1
       (
	make-instance 'ESFrameModelSwarm
		      #:potentialUnitTypes     3
		      #:unitGenerationInitialP 0
		      #:potentialUnitNumberPerType     10
                      #:newUnitGenerationP 0
		      #:maxStepNumber       10
		      #:maxStepLength       4
		      #:maxTicksAsUnsent    0
		      #:unitSpaceXSize      200
		      #:unitSpaceYSize      200
		      #:minStartingVisibility  0
		      #:maxStartingVisibility  200
		      #:interVisibilityMinLevel 1
                      #:increasingVisibilityStep 5
                      #:maxInactivity 10
                      #:maxUnsentProducts 10
		      #:createNumberOfUnitsGraph #t
		      #:createProductionGraph #t
		      #:createRatioGraph #t
		      #:useOrderDistiller #t
		      #:shuffleListsAtEachAssignment #t
		      #:uniqueAssignmentInEachCycle #f
		      #:stopIfZeroUnits #f
		      )
       )
(
  cons 'eSFrameModelSwarm2
       (
	make-instance 'ESFrameModelSwarm
		      #:potentialUnitTypes     3
		      #:unitGenerationInitialP 1
		      #:potentialUnitNumberPerType     4
                      #:newUnitGenerationP 0.2
		      #:maxStepNumber       10
		      #:maxStepLength       3
		      #:unitSpaceXSize      200
		      #:unitSpaceYSize      200
		      #:minStartingVisibility  50
		      #:maxStartingVisibility  200
		      #:interVisibilityMinLevel 1
                      #:increasingVisibilityStep 5
                      #:maxInactivity 15
                      #:maxUnsentProducts 15
		      #:createNumberOfUnitsGraph #t
		      #:createProductionGraph #t
		      #:createRatioGraph #t
		      #:useOrderDistiller #t
		      #:shuffleListsAtEachAssignment #t
		      #:uniqueAssignmentInEachCycle #f
		      #:stopIfZeroUnits #f
		      )
       )
)
